Skip to main content
GET
/
service
/
customers
/
{customerId}
/
notes
Get Customer Notes
curl --request GET \
  --url https://api.example.com/service/customers/{customerId}/notes \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "customerId": "<string>",
    "notes": [
      {
        "id": "<string>",
        "body": "<string>",
        "pinned": true,
        "authorId": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "nextCursor": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string
required

Unique identifier of the customer whose notes will be retrieved

Query Parameters

limit
integer
default:20

Maximum number of notes to return per page

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination, returned as nextCursor in a previous response

Response

Customer notes retrieved successfully

data
object
required
code
enum<string>
Available options:
health_status_ok,
health_status_error,
validation_error,
bad_request,
unauthorized,
forbidden,
not_found,
method_not_allowed,
internal_server_error,
organization_not_found,
cannot_access_organization,
api_key_not_found,
resource_already_exists
message
string